player = {}

player.x = 200
player.y = Helicopter.y + 21
player.xvel = 0
player.yvel = 50
player.state = "heli"
player.dead = false
player.timer = 1
player.timerEnabled = false

playerS = love.graphics.newImage("Sprites/playerStanding.png")
playerPara = love.graphics.newImage("Sprites/playerParachute.png")

player.animTimer = 0
player.pic = playerS
player.pnum = 1
player.pic:setFilter("nearest","nearest")

player.width = player.pic:getWidth()
player.height = player.pic:getHeight()

playerR = {}
playerR[1] = love.graphics.newImage("Sprites/playerR1.png")
playerR[2] = love.graphics.newImage("Sprites/playerR2.png")
playerR[3] = love.graphics.newImage("Sprites/playerR3.png")
playerR[4] = love.graphics.newImage("Sprites/playerR4.png")


playerL = {}
playerL[1] = love.graphics.newImage("Sprites/playerL1.png")
playerL[2] = love.graphics.newImage("Sprites/playerL2.png")
playerL[3] = love.graphics.newImage("Sprites/playerL3.png")
playerL[4] = love.graphics.newImage("Sprites/playerL4.png")

playerParaR = love.graphics.newImage("Sprites/playerParachuteR.png")
playerParaL = love.graphics.newImage("Sprites/playerParachuteL.png")

function playerReset(key)
	player.pic = playerS
end

function updatePlayer(dt)
	player.x = player.x + (player.xvel * dt)
		if player.state == "landed" then
			player.y = 688 - (player.pic:getHeight() * 3)
			player.pic = playerS
		end
		if love.keyboard.isDown("d") and not love.keyboard.isDown("a") and player.state ~= "falling" then
			player.xvel = 50
			player.pic = playerR[player.pnum]
			player.pic:setFilter("nearest","nearest")
			player.animTimer = player.animTimer + dt
			if player.animTimer > 0.05 then
				player.pnum = player.pnum + 1
				player.animTimer = 0
			end
			if player.pnum >  4 then
				player.pnum = 1
			end
		end
		if love.keyboard.isDown("a") and not love.keyboard.isDown("d") and player.state ~= "falling" then
			player.xvel = -50
			player.pic = playerL[player.pnum]
			player.pic:setFilter("nearest","nearest")
			player.animTimer = player.animTimer + dt
			if player.animTimer > 0.1 then
				player.pnum = player.pnum + 1
				player.animTimer = 0 
			end
			if player.pnum >  4 then
				player.pnum = 1
			end
		end
		if love.keyboard.isDown("a") and love.keyboard.isDown("d") then
			player.xvel = 0
		end

		-- Friction

		if not love.keyboard.isDown("d") and player.xvel > 0 then
			player.xvel = player.xvel - 10
		end
		if not love.keyboard.isDown("a") and player.xvel < 0 then
			player.xvel = player.xvel + 10
		end

		if love.keyboard.isDown(" ") and Gamestate ~= "Landed" then
			player.state = "falling"
			player.timerEnabled = true
		end

		if player.timerEnabled == true then
			player.timer = player.timer - dt
		end

		if player.state == "falling" and player.timer < 0 and Gamestate ~= "Landed" then
			if love.keyboard.isDown(" ") and Gamestate ~= "Landed" then
				player.state = "parachute"
			end
		end

		-- Gravity

		if player.state == "heli" then
			player.yvel = 0
		end

		player.y = player.y + (player.yvel * dt)

		-- No Chute
		if player.state == "falling" then
			player.yvel = player.yvel + 4
		end
		--Chute
		if player.state == "parachute" then
			player.yvel = 40
		end	

	--if player.x <= Building1.x + Building1.pic:getWidth() * 4 then
	--		if player.y + player.height * 3 >= Building1.y then
	--			player.yvel = 0
	--			player.state = "standing"
	--		end
	--	end	

		if player.state == "parachute" and Gamestate ~= "Landed" then
			if love.keyboard.isDown("a") then
				player.pic = playerParaL
			elseif love.keyboard.isDown("d") then
				player.pic = playerParaR
			else
				player.pic = playerPara
			end
		end
end

function drawPlayer() 
	Graphics = love.graphics
	Graphics.setColor(255,255,255)	
	player.pic:setFilter("nearest", "nearest")
	Graphics.draw(player.pic,player.x,player.y,0,3)
end
